## console-setup 1.7ubuntu19

=== debian/changelog ===
console-setup (1.7ubuntu19) edgy; urgency=low

  * If upgrading from an older version than this one, check for the Terminus
    font face and change it to VGA (if you do like it, you can change it
    back and it won't be touched again). If Terminus was in use, also check
    for the 12x6 font size and change it to 16, since that was apparently
    selected due to a strange use-of-debconf bug.
  * Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
    tty, since the current tty might belong to X and changing X's tty out of
    raw mode is a very bad idea (closes: Malone #66929; requires kbd 1.12-15
    or console-tools 1:0.2.3dbs-62ubuntu10).
  * Adjust the default keyboard model for Brazilian (closes: Malone #66774)
    and Japanese (closes: Malone #66719) layouts.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 20:16:09 +0100

console-setup (1.7ubuntu18) edgy; urgency=low

  * Change the default font to VGA where supported; Terminus does not seem
    to have widespread aesthetic appeal.
  * Use jp(latin),jp rather than us,jp by default for Japanese, and set the
    model to jp106 (closes: Malone #63915).
  * Build-depend on keymapper (>= 0.5.3-7) for improved Alt-handling logic.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 02:42:15 +0100

console-setup (1.7ubuntu17) edgy; urgency=low

  * Only default to Canadian layout for fr_CA; use U.S. English for other
    *_CA locales (closes: Malone #64418).
  * Install kbdnames-maker in /usr/share/console-setup, to make it easier
    for non-Perl programs to use KeyboardNames.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 12:52:36 +0100

console-setup (1.7ubuntu16) edgy; urgency=low

  * Backport from trunk (Anton Zinoviev, closes: Malone #63921):
    - New mini-font georgian16.bdf to be used for the Georgian letters in
      Fixed16, author: Gia Shervashidze.  Thanks to Vladimer Sichinava.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 11:37:15 +0100

console-setup (1.7ubuntu15) edgy; urgency=low

  * Fix build failure caused by wrong path to KeyboardNames.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 15:44:59 +0100

console-setup (1.7ubuntu14) edgy; urgency=low

  * Ship KeyboardNames.pl in /usr/share/console-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 11:09:27 +0100

console-setup (1.7ubuntu13) edgy; urgency=low

  * Remove obsolete XORGCONFIGFILE variable.
  * Reset console-setup/toggle to the default if it's set to "No toggling"
    and you select a non-Latin layout (closes: Malone #63178).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Oct 2006 14:47:58 +0100

console-setup (1.7ubuntu12) edgy; urgency=low

  * Don't run the init script (and thereby setupcon) on upgrade; just print
    a message telling you to run setupcon from a virtual console if you want
    to update your console configuration (closes: Malone #61723).
  * Update debian-installer/keymap handling from trunk (Anton Zinoviev).
    Drop /etc/X11/xorg.conf upgrade handling, also per trunk, as I've been
    convinced that that is much less safe due to the prevalence of GNOME/KDE
    keymap overrides, and furthermore it made it more difficult to have
    ubiquity tell console-setup just to guess a default from the locale.
  * Drop the priority of the model and layout questions to medium if a
    configuration file already exists, since they'll have been asked at
    medium first time round and if we then ask them at critical the second
    time round they will be unexpectedly shown (closes: Malone #59883).
  * Backport from trunk:
    - config.proto: Handle properly the case when the user backs up from the
      first Debconf question.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Sep 2006 00:40:48 +0100

console-setup (1.7ubuntu11) edgy; urgency=low

  * Fix default layout for Bosnian and default variant for Hindi.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 15:57:23 +0100

console-setup (1.7ubuntu10) edgy; urgency=low

  * console-setup Depends: perl; something in ckbcomp is causing perl to
    'use utf8' implicitly, and some of the necessary modules aren't in
    perl-base (closes: Malone #60203).
  * Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
    console-setup/variantcode, console-setup/optionscode, and
    console-setup/fontsize.
  * Don't set up the console font at boot time if usplash is running, since
    that seems to trigger a kernel bug that corrupts the usplash display
    (closes: Malone #60483).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Sep 2006 01:01:54 +0100

console-setup (1.7ubuntu9) edgy; urgency=low

  * Switch build-dependency and dependency back to xkb-data, now that it's
    fixed. Make the dependencies versioned until after Edgy is released to
    avoid problems with partially-upgraded systems where only the broken
    xkb-data is installed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Sep 2006 10:24:20 +0100

console-setup (1.7ubuntu8) edgy; urgency=low

  * Add setupcon --force option and use it in postinst (Anton Zinoviev,
    http://lists.alioth.debian.org/pipermail/pkg-kbd-devel/2006-August/000278.html).
  * Check $DISPLAY rather than /proc/self/fd/2 in /etc/init.d/keyboard-setup
    and /etc/init.d/console-setup; use setupcon --force.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Sep 2006 09:47:36 +0100

console-setup (1.7ubuntu7) edgy; urgency=low

  * Handle debian-installer/locale not being available (closes: Malone
    #59718).
  * Remove stray Keyboard/amiga.ekmap in source package.
  * Fix a potential infinite loop in the config script while moving past the
    variant question with an unsupported layout.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Sep 2006 12:07:53 +0100

console-setup (1.7ubuntu6) edgy; urgency=low

  * If there's no console-setup configuration when console-setup.config
    runs, then:
    - If there is an xorg.conf, set the defaults from there.

